// example of a linear volume meter. Bill Ball www.robot50.net

// include the Circuit Playground library
#include <Adafruit_CircuitPlayground.h>

// create a variable to hold the sound level
 uint8_t volume = 0;
 
void setup() {

  // remove the comments to open the serial port if it's needed 
  //Serial.begin(9600);
 
  // start Circuit Playground
  CircuitPlayground.begin();
  }


void loop() {

     // clear all lit pixels. 
     // why is this in the main loop? 
    CircuitPlayground.clearPixels();

    // experiment a sample and display rate in milliseconds
    // delay(10);

    // measure the sound
    volume = CircuitPlayground.soundSensor();
  
    if (volume > 110) {
        CircuitPlayground.setPixelColor(9, CircuitPlayground.colorWheel(85));
    }
    if (volume > 125) {
        CircuitPlayground.setPixelColor(8, CircuitPlayground.colorWheel(85));
    }
    if (volume > 145) {
        CircuitPlayground.setPixelColor(7, CircuitPlayground.colorWheel(85));
    }
    if (volume > 160) {
        CircuitPlayground.setPixelColor(6, CircuitPlayground.colorWheel(85));
    }
    if (volume > 175) {
       CircuitPlayground.setPixelColor(5, CircuitPlayground.colorWheel(85));
    }
    if (volume > 190) {
        CircuitPlayground.setPixelColor(4, CircuitPlayground.colorWheel(85));
    }
    if (volume > 205) {
        CircuitPlayground.setPixelColor(3, CircuitPlayground.colorWheel(60));
    }
    if (volume > 220) {
        CircuitPlayground.setPixelColor(2, CircuitPlayground.colorWheel(30));
    }
    if (volume > 235) {
        CircuitPlayground.setPixelColor(1, CircuitPlayground.colorWheel(10));
    } 
    if (volume > 250) {
        CircuitPlayground.setPixelColor(0, CircuitPlayground.colorWheel(0));
    }


} // end of main loop
